Subject: Re: Router Lifetime: max value to be accepted by a host

From: "Erik Kline" <[email-masked]>
Date: Fri, 4 Jan 2008 00:59:58 -0800

Why exactly would a host discarding an ra lifetime > 9000 be in
violation?  It seems that the host can either (a) discard it, or (b)
interpret ra lifetimes > 9000 as = 9000.  The latter seems sensible
enough offhand, though I haven't given it much thought...

On 12/19/07, Sandeep P A <[email-masked]> wrote:
>
>
>
>
> RFC 2461:
>
> Host Description:
>
> 4.2. Router Advertisement Message Format
>
> Router Lifetime
>
> 16-bit unsigned integer. The lifetime associated with the default router in
> units of seconds. The maximum value corresponds to 18.2 hours. A Lifetime of
> 0 indicates that the router is not a default router and SHOULD NOT appear on
> the default router list. The Router Lifetime applies only to the router's
> usefulness as a default router; it does not apply to information contained
> in other message fields or options. Options that need time limits for their
> information include their own lifetime fields.
>
> Router Description:
>
> 6.2.1. Router Configuration Variables
>
> AdvDefaultLifetime
>
> The value to be placed in the Router Lifetime field of Router Advertisements
> sent from the interface, in seconds. MUST be either zero or between
> MaxRtrAdvInterval and 9000 seconds. A value of zero indicates that the
> router is not to be used as a default router.
>
> Default: 3 * MaxRtrAdvInterval
>
>
>
> When sending RA the maximum lifetime that can be advertised is 9000 seconds,
> but when receiving the RA in Host, RFC does not specify
>
> any limit other than 18.2 hr(65535 ushort max value).
>
> A router sending RA with a lifetime of more than 9000 seconds is an RFC
> violation. But at the same time a host discarding such an RA is also RFC
> violation
>
> Please guide me in this regard...
>
> Regards,
> Sandeep
> ********************************************************************************************************
>  This e-mail and attachments contain confidential information from HUAWEI,
> which is intended only for the person or entity whose address is listed
> above. Any use of the information contained herein in any way (including,
> but not limited to, total or partial disclosure, reproduction, or
> dissemination) by persons other than the intended recipient's) is
> prohibited. If you receive this e-mail in error, please notify the sender by
> phone or email immediately and delete it!
>
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests:
> https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>
>

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: "Dunn, Jeffrey H." <[email-masked]>
Date: Fri, 4 Jan 2008 07:34:08 -0500

Erik and Sandeep,

Have a look at RFC 4861 (it obsoletes RFC 2461).  The use of the Router
Lifetime variable is clarified:

Router Lifetime
                     16-bit unsigned integer.  The lifetime associated
                     with the default router in units of seconds.  The
                     field can contain values up to 65535 and receivers
                     should handle any value, while the sending rules
in
                     Section 6 limit the lifetime to 9000 seconds.  A
                     Lifetime of 0 indicates that the router is not a
                     default router and SHOULD NOT appear on the
default
                     router list.  The Router Lifetime applies only to
                     the router's usefulness as a default router; it
                     does not apply to information contained in other
                     message fields or options.  Options that need time
                     limits for their information include their own
                     lifetime fields.

Best Regards,
 
Jeffrey Dunn
Info Systems Eng., Lead
MITRE Corporation.
-----Original Message-----
From: Erik Kline [mailto:[email-masked]] 
Sent: Friday, January 04, 2008 4:00 AM
To: Sandeep P A
Cc: [email-masked]
Subject: Re: Router Lifetime: max value to be accepted by a host

> Please guide me in this regard...
***********************************************************************
*********************************